<?php


include ("../conexion.php");
include ("../funciones/fechas.php");

$codigo=$_POST["cdgcli"];
$nombre=strtoupper($_POST["dsccli"]);


$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($codigo <> "") { $where.=" AND codigo='$codigo'"; }
if ($nombre <> "") { $where.=" AND nombre like '%".$nombre."%'"; }



$where.=" ORDER BY codmov DESC";


if ($result = $mysqli->query("SELECT * FROM movimientos_caja WHERE ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}

?>
<html>
	<head>
		<title>Movimientos</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		function ver_doc(codigo,tipmov) {
		COM="COM";
	if (tipmov==COM) {
		
		parent.location.href="ver_cxp.php?codigo=" + codigo;
		
		} else {
		
		parent.location.href="ver_doc.php?codigo=" + codigo;
		}}
		
		
		
		
		
		function eliminar_doc(codigo,tipmov) {
			COM="COM";
	if (tipmov==COM) {
		
		parent.location.href="eliminar_cxp.php?codigo=" + codigo ;
		
		} else {
		
		parent.location.href="eliminar_doc.php?codigo=" + codigo ;
		}}
		


		function imprimir(codmov,tipmov) {
		
	    VAL="VAL";
	if (tipmov==VAL) {

  		window.open("../fpdf/imprimir_vale_PUNTO_VENTA.php?codmov="+codmov);
		
		} else {
		
			
	window.open("../fpdf/imprimir_mov_PUNTO_VENTA.php?codmov="+codmov);
		
		}}

	

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+9);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+10;
			}
		}
		
		
		</script>
	</head>

	<body onload=inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
				<?php 
$contador=0;
if ( $filas > 0) {
 
$consulta = "SELECT * FROM movimientos_caja WHERE  ".$where;

if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $nombre = $fila["nombre"];
        $numdoc = $fila["numdoc"];
        $codigo = $fila["codigo"];
        $fecha  = $fila["fecha"];
		$fecha  = implode("-", array_reverse(explode("-", $fecha)));
        $tipmov = $fila["tipmov"];
		$codmov = $fila["codmov"];
		$total  = $fila["total"];
		$salact = $fila["salact"];
		$nombre = substr($nombre, 0, 45); 
					

		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }
	  
								 ?>
				
						<tr class="<?php echo $fondolinea?>">
						<td class="" width="2%"></td>
				
						<td class="aDerecha" width="10%"><div align="center"><?php echo $fecha ?></div></td>
						<td class="aDerecha" width="12%"><div align="center"><?php echo $numdoc ?></div></td>
						<td width="5%"><div align="left"><?php echo $codigo?></div></td>
						<td width="40%"><div align="left"><?php echo $nombre?></div></td>
						<td width="8%"><div align="left"><?php echo $tipmov ?></div></td>
						<td width="10%"><div align="right"><?php echo number_format($total,2,".",",")?></div></td>
						<td width="10%"><div align="right"><?php echo number_format($salact,2,".",",")?></div></td>
						
						<td width="6%"><div align="center"><img src="../img/print-icon (5).png" width="25" height="25" border="0" onClick="imprimir(<?php echo $codmov?>,'<?php echo $tipmov ?>')" title="Reimprimir"></a></div></td>
						
							<td width="3%"><div align="center"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="eliminar_doc(<?php echo $codmov ?>,'<?php echo $tipmov?>')")" title="Eliminar"></a></div></td>
														<td width="3%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_doc(<?php echo $codmov?>,'<?php echo $tipmov ?>')" title="Visualizar"></a></div></td>
						
						</tr>
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No hay ning&uacute;n Documento que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
